/**
 * Represents an error when trying to interpret syntactically invalid code.
 * @syntax <code>newSyntaxError([<em>message</em>[,<em>fileName</em>[,<em>lineNumber</em>]]])</code>
 * @param {String} message Human-readable description of the error
 * @param {String} fileName Non-standard The name of the file containing the code that caused the exception
 * @param {Number} lineNumber Non-standard The line number of the code that caused the exception
 * @returns {Error} 
 */
function SyntaxError() {
    this.prototype
}
/**
 * @returns {String} 
 * @static
 */
SyntaxError.name;

/**
 * Represents the prototype for the SyntaxError constructor.
 * @returns {Object} 
 * @static
 */
SyntaxError.prototype;

/**
 * @returns {Function} 
 * @static
 */
SyntaxError.constructor;

