/**
 * Creates a wrapper object to allow you to work with numerical values.
 * @param {Number} value The numeric value of the object being created.
 * @returns {Number} 
 */
function Number() {
    this.prototype
}
/**
 * @syntax <code><em>number</em>.toLocaleString()</code>
 * @returns {String} 
 */
Number.prototype.toLocaleString = function() {};

/**
 * Returns a string representing the source code of the object.
 * @returns {String} 
 */
Number.prototype.toSource = function() {};

/**
 * A value representing Not-A-Number.
 * @returns {Number} 
 * @static
 */
Number.NaN;

/**
 * Represents the prototype for the Number constructor.
 * @returns {Object} 
 * @static
 */
Number.prototype;

/**
 * Returns a string representing the Number object to the specified precision.
 * @syntax <code><em>number</em>.toPrecision([<em>precision</em>])</code>
 * @returns {Number} 
 */
Number.prototype.toPrecision = function() {};

/**
 * A value representing the negative Infinity value.
 * @returns {String} 
 * @static
 */
Number.NEGATIVE_INFINITY;

/**
 * Formats a number using fixed-point notation
 * @syntax <code><em>number</em>.toFixed([<em>digits</em>])</code>
 * @returns {Number} 
 */
Number.prototype.toFixed = function() {};

/**
 * The maximum numeric value representable in JavaScript.
 * @returns {Number} 
 * @static
 */
Number.MAX_VALUE;

/**
 * Returns a string representing the specified Number object
 * @syntax <code><em>number</em>.toString([<em>radix</em>])</code>
 * @returns {String} 
 */
Number.prototype.toString = function() {};

/**
 * Returns the primitive value of a Number object.
 * @returns {Number} 
 */
Number.prototype.valueOf = function() {};

/**
 * Returns a string representing the Number object in exponential notation
 * @syntax <code><em>number</em>.toExponential([<em>fractionDigits</em>])</code>
 * @returns {Number} 
 */
Number.prototype.toExponential = function() {};

/**
 * The smallest positive numeric value representable in JavaScript.
 * @returns {Number} 
 * @static
 */
Number.MIN_VALUE;

/**
 * A value representing the positive Infinity value.
 * @returns {String} 
 * @static
 */
Number.POSITIVE_INFINITY;

/**
 * Returns a reference to the Number function that created the instance's prototype. Note that the value of this property is a reference to the function itself, not a string containing the function's name.
 * @returns {Function} 
 */
Number.prototype.constructor;

